Method: retiredResources.list

Full name: projects.locations.retiredResources.list

Lists the RetiredResources which are the records of deleted CryptoKeys. RetiredResources prevent the reuse of these resource names after deletion.

HTTP request


GET https://cloudkms.googleapis.com/v1/{parent=projects/*/locations/*}/retiredResources

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project-specific location holding the RetiredResources, in the format projects/*/locations/*.

Authorization requires the following IAM permission on the specified resource parent:

  • cloudkms.retiredResources.list

Query parameters

Parameters
pageSize

integer

Optional. Optional limit on the number of RetiredResources to be included in the response. Further RetiredResources can subsequently be obtained by including the ListRetiredResourcesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.

pageToken

string

Optional. Optional pagination token, returned earlier via ListRetiredResourcesResponse.next_page_token.

Request body

The request body must be empty.

Response body

Response message for KeyManagementService.ListRetiredResources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "retiredResources": [
    {
      object (RetiredResource)
    }
  ],
  "nextPageToken": string,
  "totalSize": string
}
Fields
retiredResources[]

object (RetiredResource)

The list of RetiredResources.

nextPageToken

string

A token to retrieve the next page of results. Pass this value in ListRetiredResourcesRequest.page_token to retrieve the next page of results.

totalSize

string (int64 format)

The total number of RetiredResources that matched the query.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudkms
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.